Subject: [bug#42456] [PATCH] gnu: Rename python-hy to hy.

From: Brett Gilio <[email-masked]>
Date: Fri, 24 Jul 2020 20:13:05 -0500

Jesse Gibbons <[email-masked]> writes:

> I initially created this patch thinking hy is primarily an
> application. I brought this up in the IRC, and was told to send it and
> discuss it here.

Hi Jesse,

I think if we rename Hy (and subsequently break the python-* naming
convention) we should justify moving Hy perhaps to its own module. I am
not overly familiar with Hy, I know that it uses and is compatible with
Python libraries (as Hy is mostly just sugar on-top of the Python
runtime) but do Hy-specific libraries exist? If so, I think that would
make the case for moving Hy to its own module even stronger.

Brett Gilio